%def_disable static

Name: gsmlib
Version: 1.10
Release: alt9

Summary: Library to access GSM mobile phones through GSM modems
License: LGPL
Group: System/Libraries

URL: http://www.pxh.de/fs/gsmlib/
Source: %url/download/%name-%version.tar.gz
Patch0: gsmlib-1.10-assert.patch
Patch1: gsmlib-1.10-gcc3_4.patch

Obsoletes: gsmlib-ext <= %version
Provides: gsmlib-ext

%{?_enable_static:BuildPreReq: glibc-devel-static}
# Automatically added by buildreq on Tue Mar 15 2005
BuildRequires: gcc-c++ libstdc++-devel

%package devel
Summary: Development tools for programs which will use the gsmlib library
Group: Development/C
Requires: gsmlib

%package static
Summary: Static gsmlib library
Group: Development/C
Requires: %name-devel = %version-%release

%description
This distribution contains a library to access
GSM mobile phones through GSM modems. Features include:
 * modification of phonebooks stored in the
   mobile phone or on the SIM card
 * reading and writing of SMS messages stored in
   the mobile phone
 * sending and reception of SMS messages
Additionally, some simple command line programs are
provided to use these functionalities.

%description devel
The gsmlib-devel package includes the header files and static libraries
necessary for developing programs which use the gsmlib library.

%description static
Static gsmlib library.


%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%configure
%make_build

%install
%makeinstall

%find_lang %name

# remove unpackaged files
%if_disabled static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%_libdir/lib*.so.*
%_bindir/*
%_man1dir/*
%_man7dir/*
%_man8dir/*
%doc README TODO ext/README.sieme
%doc doc/README.developers doc/FAQ ChangeLog

%files devel
%_includedir/gsmlib
%_libdir/*.so

%if_enabled static
%files static
%_libdir/*.a
%endif

%changelog
* Tue Mar 15 2005 Victor Forsyuk <force@altlinux.ru> 1.10-alt9
- Fixed build with gcc 3.4.
- Spec cleanups.
- Static libs moved to separate package.
- Merged gsmlib-ext with main package.

* Sat Sep 04 2004 Denis Smirnov <mithraen@altlinux.ru> 1.10-alt8
- fixed x86_64 build

* Fri Mar 19 2004 Denis Smirnov <mithraen@altlinux.ru> 1.10-alt7
- fixed assert() use

* Mon Oct 20 2003 Artem Pastukhov <past@altlinux.ru> 1.10-alt6
- Minor fixes in provide so.1

* Thu Oct 16 2003 Artem Pastukhov <past@altlinux.ru> 1.10-alt5
- Vendor set to ALT Linux Team

* Mon Oct  6 2003 Artem Pastukhov <past@altlinux.ru> 1.10-alt3
- Fixes, fixes, fixes in spec

* Wed Oct 1 2003 Artem Pastukhov <past@altlinux.ru> 1.10-alt3
- Fixes to build in hasher

* Wed Dec 4 2002 Artem Pastukhov <past@altlinux.ru> 1.10-alt2
- Fixes in spec

* Tue Dec 3 2002 Artem Pastukhov <past@altlinux.ru> 1.10-alt1
- Initial release for Sisyphus
